# Uses of Class
org.jboss.modules.ModuleDependencySpec

Packages that use ModuleDependencySpec
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ModuleDependencySpec in org.jboss.modules

Fields in org.jboss.modules declared as ModuleDependencySpec
Modifier and Type
Field
Description
`static final ModuleDependencySpec`
ModuleDependencySpec.`JAVA_BASE`
A simple dependency on the `java.base` module.
`static final ModuleDependencySpec`
ModuleDependencySpec.`JAVA_SE`
A simple dependency on the `java.se` module.
Methods in org.jboss.modules that return ModuleDependencySpec
Modifier and Type
Method
Description
`ModuleDependencySpec`
ModuleDependencySpecBuilder.`build()`